#
# spec file for package xrpm (Version 2.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  python python-tk termcap tk
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps python python-tk rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit termcap texinfo textutils timezone tk unzip util-linux vim

Name:         xrpm
Copyright:    GPL
Group:        X11/Utilities
Provides:     xrpm 
Requires:     python-tk tk
Autoreqprov:  on
Summary:      X frontend for RPM
Version:      2.2
Release:      439
URL:          http://www.gmsys.com/xrpm.html
Source:       %{name}-%{version}.tar.bz2
Patch:        %{name}.patch
BuildRoot:    %{_tmppath}/%{name}-build

%description
With xrpm you can list, query and remove installed packages and
install new packages from local disk or from ftp.

Authors:
--------
    George A. Farris <george@gmsys.com>

SuSE series: xap

%define INSTALL install -m755 -s
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%prep
%setup
%patch

%build
python /usr/lib/python/compileall.py .

%install
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
   %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
%{INSTALL_DIR} $RPM_BUILD_ROOT{/usr/lib/xrpm,/var/lib/{x,}rpm,/etc,/usr/X11R6/bin}
%{INSTALL_DATA} *.py* *.gif manual license LICENSE $RPM_BUILD_ROOT/usr/lib/xrpm
%{INSTALL_DATA} ftp-sites $RPM_BUILD_ROOT/var/lib/xrpm
%{INSTALL_DATA} xrpm.conf $RPM_BUILD_ROOT/etc/
%{INSTALL_SCRIPT} xrpm $RPM_BUILD_ROOT/usr/X11R6/bin/
touch $RPM_BUILD_ROOT/var/lib/rpm/xrpm-use.log
(cd $RPM_BUILD_ROOT/usr/lib/xrpm && ln -s ../../../var/lib/xrpm/ftp-sites)

%clean
rm -fr $RPM_BUILD_ROOT

%files
%doc CHANGES NEWS
%doc todo license
/usr/X11R6/bin/xrpm
/usr/lib/xrpm
%dir /var/lib/xrpm
%config /var/lib/xrpm/ftp-sites
%config /etc/xrpm.conf
%ghost /var/lib/rpm/xrpm-use.log

%changelog -n xrpm
* Tue Aug 21 2001 - vinil@suse.cz
- spec file cleanup
* Fri Aug 17 2001 - pmladek@suse.cz
- bzipped sources
- added URL
* Thu Aug 16 2001 - ro@suse.de
- fixed changelog
* Fri Jan 05 2001 - kukuk@suse.de
- Fix requires: pyth-tk -> python-tk
* Wed Dec 06 2000 - ro@suse.de
- fixed neededforbuild
* Fri Jun 23 2000 - ke@suse.de
- Apply patch from Marius Tomaschewski: don't itenerate over an empty
  list.
- General spec file cleanup.
* Mon Nov 01 1999 - ke@suse.de
- patch gui.py to make it look in the right directory for ftp-sites
  (bug #435).
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - bs@suse.de
- fixed call of Check at the end of %%install section
* Wed Mar 17 1999 - ro@suse.de
- fixed patch call
* Mon Dec 14 1998 - mt@suse.de
- tk.tcl workaround (cd /usr/X11R6 && xrpm ; cd $OLDPWD)
* Wed Jul 15 1998 - ke@suse.de
- Update: version 2.2.
- Image buttons are back :-)
* Sun Mar 08 1998 - ke@suse.de
- Don't try to display images; it's broken with the new python (patch by
  mt@suse.de).
* Tue Feb 17 1998 - ro@suse.de
- changed to use /usr/lib/python (without version)
* Sat Feb 07 1998 - bs@suse.de
- fixed var/lib/rpm/xrpm-use.log
* Thu Jan 29 1998 - ke@suse.de
- Update: version 2.1
* Fri Dec 19 1997 - ke@suse.de
- Update: version 2.02
* Mon Nov 17 1997 - ke@suse.de
- Update: version 2.01
* Wed Nov 05 1997 - ke@suse.de
- #neededforbuild python
- Store config file under /var/...
* Tue Nov 04 1997 - ke@suse.de
- Use BuildRoot actually.
- make it find the `manual' and the `license'.
* Wed Sep 17 1997 - ke@suse.de
- initial package: version 2.0
